#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 haskeline
version:              0.7.5.0
visibility:           public
id:                   haskeline-0.7.5.0-Ak9HcrznbY1Hwiu2y3pc8L
key:                  haskeline-0.7.5.0-Ak9HcrznbY1Hwiu2y3pc8L
license:              BSD-3-Clause
copyright:            (c) Judah Jacobson
maintainer:           Judah Jacobson <judah.jacobson@gmail.com>
author:               Judah Jacobson
stability:            Stable
homepage:             https://github.com/judah/haskeline
synopsis:
    A command-line interface for user input, written in Haskell.

description:
    Haskeline provides a user interface for line input in command-line
    programs.  This library is similar in purpose to readline, but since
    it is written in Haskell it is (hopefully) more easily used in other
    Haskell programs.

    Haskeline runs both on POSIX-compatible systems and on Windows.

category:             User Interfaces
abi:                  d8ccba77b13b4b698c23d9864e273593
exposed:              True
exposed-modules:
    System.Console.Haskeline System.Console.Haskeline.Completion
    System.Console.Haskeline.History System.Console.Haskeline.IO
    System.Console.Haskeline.MonadException

hidden-modules:
    System.Console.Haskeline.Backend
    System.Console.Haskeline.Backend.WCWidth
    System.Console.Haskeline.Command
    System.Console.Haskeline.Command.Completion
    System.Console.Haskeline.Command.History
    System.Console.Haskeline.Command.KillRing
    System.Console.Haskeline.Directory System.Console.Haskeline.Emacs
    System.Console.Haskeline.InputT System.Console.Haskeline.Key
    System.Console.Haskeline.LineState System.Console.Haskeline.Monads
    System.Console.Haskeline.Prefs System.Console.Haskeline.Recover
    System.Console.Haskeline.RunCommand System.Console.Haskeline.Term
    System.Console.Haskeline.Command.Undo System.Console.Haskeline.Vi
    System.Console.Haskeline.Backend.Posix
    System.Console.Haskeline.Backend.Posix.Encoder
    System.Console.Haskeline.Backend.DumbTerm
    System.Console.Haskeline.Backend.Terminfo

import-dirs:          /usr/lib/ghc-8.10.1/site-local/haskeline-0.7.5.0
library-dirs:         /usr/lib/ghc-8.10.1/site-local/haskeline-0.7.5.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/haskeline-0.7.5.0
hs-libraries:         HShaskeline-0.7.5.0-Ak9HcrznbY1Hwiu2y3pc8L
depends:
    base-4.14.0.0 bytestring-0.10.10.0 containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1 process-1.6.8.2 stm-2.5.0.0
    terminfo-0.4.1.4 transformers-0.5.6.2 unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-haskeline0.7/html/haskeline.haddock
haddock-html:         /usr/share/doc/haskell-haskeline0.7/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

